#ifndef SINGLETON_CLASS_H
#define SINGLETON_CLASS_H

/*!
  \example SingletonClass.h
  \brief シングルトンのバインドサンプル用

  \author Satofumi KAMIMURA

  $Id: SingletonClass.h 699 2009-03-30 20:43:01Z satofumi $
*/

#include <iostream>


class SingletonClass
{
  SingletonClass(void)
  {
  }


public:
  static SingletonClass* object(void)
  {
    static SingletonClass singleton_object;
    return &singleton_object;
  }


  void hello(void)
  {
    std::cout << "hello" << std::endl;
  }
};

#endif /* !SINGLETON_CLASS_H */
